﻿using Newtonsoft.Json;
using SqlSugar;
using SqlSugar.TDengine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Model.Service.Mapper
{
    [STableAttribute(STableName = "stb_hm_pregnancy_common_heart_rate")]
    public class PregnancyCommonHeartRateModel
    {
        [JsonProperty("ts")]
        [SqlSugar.SugarColumn(IsPrimaryKey = true, ColumnName = "ts", SqlParameterDbType = typeof(DateTime19))]
        public DateTime Timestamp { get; set; }


        [JsonProperty("person_id")]
        [SqlSugar.SugarColumn(ColumnName = "person_id")]
        public string PersonId { get; set; } = default!;

        [JsonProperty("device_key")]
        [SqlSugar.SugarColumn(ColumnName = "device_key")]
        public string DeviceKey { get; set; } = default!;

        [JsonProperty("serialno")]
        [SqlSugar.SugarColumn(ColumnName = "serialno")]
        public string SerialNumber { get; set; } = default!;


        [JsonProperty("mode")]
        [SqlSugar.SugarColumn(ColumnName = "mode")]
        public float Mode { get; set; }

        [JsonProperty("percentage")]
        [SqlSugar.SugarColumn(ColumnName = "percentage")]
        public int Percentage { get; set; }

        [JsonProperty("max_value")]
        [SqlSugar.SugarColumn(ColumnName = "max_value")]
        public int MaxValue { get; set; }

        [JsonProperty("min_value")]
        [SqlSugar.SugarColumn(ColumnName = "min_value")]
        public int MinValue { get; set; }


        [JsonProperty("original_max_value")]
        [SqlSugar.SugarColumn(ColumnName = "original_max_value")]
        public int OriginalMaxValue { get; set; }

        [JsonProperty("original_min_value")]
        [SqlSugar.SugarColumn(ColumnName = "original_min_value")]
        public int OriginalMinValue { get; set; }

        [JsonProperty("create_time")]
        [SqlSugar.SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }

        [JsonProperty("stat_start_time")]
        [SqlSugar.SugarColumn(ColumnName = "stat_start_time")]
        public DateTime StatStartTime { get; set; }


        [JsonProperty("stat_end_time")]
        [SqlSugar.SugarColumn(ColumnName = "stat_end_time")]
        public DateTime StatEndTime { get; set; }

        [JsonProperty("remark")]
        [SqlSugar.SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; } = default!;

        [JsonProperty("serial_tail_no")]
        [SqlSugar.SugarColumn(IsIgnore = true, ColumnName = "serial_tail_no")]
        public string SerialTailNumber { get; set; } = default!;
    }
}
